=== debian/changelog ===
tsmuxer-dmo (2.6.16~20210801.git2aa293b-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 01 Aug 2021 14:16:01 +0200

tsmuxer-dmo (2.6.16~20210608.gitf6ab2a2-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 08 Jun 2021 14:59:29 +0200

tsmuxer-dmo (2.6.16~20210114.git00caad0-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 14 Jan 2021 15:02:44 +0100

tsmuxer-dmo (2.6.15+20201004.git32db2aa-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 04 Oct 2020 16:39:55 +0200

tsmuxer-dmo (2.6.15+20200315.git11fcb24-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Mar 2020 15:47:46 +0100

tsmuxer-dmo (2.6.15+20191006.git0345711-dmo4) unstable; urgency=medium

  * Build against qtbase-abi-5-12-5 and/or qtdeclarative-abi-5-12-5

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Oct 2019 14:42:52 +0200

tsmuxer-dmo (2.6.15+20191006.git0345711-dmo3) unstable; urgency=medium

  * Should be uploaded to unstable not stable.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 06 Oct 2019 17:28:40 +0200

tsmuxer-dmo (2.6.15+20191006.git0345711-dmo1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 06 Oct 2019 15:49:05 +0200

tsmuxer (2.6.11-dmo5) stable; urgency=medium

  * Add libqtgui4 to tsmuxergui Depends field

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 06 Oct 2019 15:31:21 +0200

tsmuxer (2.6.11-dmo4) stable; urgency=medium

  * Add multi-arch support.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 11 Aug 2017 08:36:01 +0200

tsmuxer (2.6.11-dmo3) stable; urgency=medium

  * Added a desktop file for tsMuxerGUI (Thanks to Josep Pujadas-Jubany).

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 11 Mar 2015 08:19:03 +0100

tsmuxer (2.6.11-dmo2) stable; urgency=medium

  * Upload to stable.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 05 Apr 2014 11:06:51 +0200

tsmuxer (2.6.11-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 28 Mar 2014 08:49:34 +0100

tsmuxer (1.10.6-dmo1) unstable; urgency=low

  * Update debian version number to dmo1.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 23 Jun 2012 08:46:11 +0200

tsmuxer (1.10.6-0.0) unstable; urgency=low

  * Initial release.

 -- Christian Marillat <marillat@debian.org>  Mon, 03 May 2010 10:57:46 +0200
