=== debian/control ===
Source: tsmuxer-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/justdan96/tsMuxer.git
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, pkg-config, qtbase5-dev,
 libfreetype-dev, qtmultimedia5-dev, qttools5-dev, ninja-build

Package: tsmuxer
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utility to create TS and M2TS files.
 Utility to create TS and M2TS files for IP broadcasting as well as for
 viewing at hardware video players (i.e., Dune HD Ultra, Sony Playstation3
 and others).
 .
 Supported incoming formats:
    * TS;
    * M2TS;
    * Blu-ray;
    * Demux option.
 .
 Supported videocodecs:
    * H.264
    * Microsoft VC-1;
    * MPEG-2.
 .
 Supported audiocodecs:
    * AAC;
    * AC3 / E-AC3(DD+);
    * Dolby True HD (for streams with AC3 core only);
    * DTS/ DTS-HD;
    * LPCM.
 .
 Supported subtitle types:
    * M2TS Presentation graphic stream.
    * SRT text subtitles
 .
 Supported containers and formats:
    * Elementary stream;
    * Transport stream TS and M2TS;
    * Program stream EVO/VOB/MPG;
    * Matroska MKV/MKA;
    * MP4/MOV
 .
 Main features:
    * Automatic or manual fps adjustment while mixing;
    * Level changing as well as SEI, SPS/PPS elements and NAL unit delimiter
      cycle insertion while mixing H.264;
    * Audio tracks and subtitles time shifting;
    * Ability to extract DTS core from DTS-HD;
    * Ability to extract AC3 core from True-HD;
    * Ability to join files;
    * Ability to adjust fps for subtitles;
    * Ability to convert LPCM streams into WAVE and vice versa;
    * Track language information injection into blu-ray structure and TS
      header;
    * Ability to cut source files;
    * Ability to split output file;
    * Ability to detect audio delay for TS/M2TS/MPG/VOB/EVO sources;
    * Ability to remove pulldown info from stream;
    * Ability to open Blu-ray playlist (MPLS) files;
    * Ability to convert SRT subtitles to PGS;
    * Tags for SRT subtitles support - tags for changing font, color, size,
      etc.; tag's syntax is similar to HTML;
    * United cross-platform GUI - Windows, Linux, MacOS.

Package: tsmuxergui
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, tsmuxer
Description: Utility to create TS and M2TS files.
 Utility to create TS and M2TS files for IP broadcasting as well as for
 viewing at hardware video players (i.e., Dune HD Ultra, Sony Playstation3
 and others).
 .
 Supported incoming formats:
    * TS;
    * M2TS;
    * Blu-ray;
    * Demux option.
 .
 Supported videocodecs:
    * H.264
    * Microsoft VC-1;
    * MPEG-2.
 .
 Supported audiocodecs:
    * AAC;
    * AC3 / E-AC3(DD+);
    * Dolby True HD (for streams with AC3 core only);
    * DTS/ DTS-HD;
    * LPCM.
 .
 Supported subtitle types:
    * M2TS Presentation graphic stream.
    * SRT text subtitles
 .
 Supported containers and formats:
    * Elementary stream;
    * Transport stream TS and M2TS;
    * Program stream EVO/VOB/MPG;
    * Matroska MKV/MKA;
    * MP4/MOV
 .
 Main features:
    * Automatic or manual fps adjustment while mixing;
    * Level changing as well as SEI, SPS/PPS elements and NAL unit delimiter
      cycle insertion while mixing H.264;
    * Audio tracks and subtitles time shifting;
    * Ability to extract DTS core from DTS-HD;
    * Ability to extract AC3 core from True-HD;
    * Ability to join files;
    * Ability to adjust fps for subtitles;
    * Ability to convert LPCM streams into WAVE and vice versa;
      Track language information injection into blu-ray structure and TS
    * header;
    * Ability to cut source files;
    * Ability to split output file;
    * Ability to detect audio delay for TS/M2TS/MPG/VOB/EVO sources;
    * Ability to remove pulldown info from stream;
    * Ability to open Blu-ray playlist (MPLS) files;
    * Ability to convert SRT subtitles to PGS;
    * Tags for SRT subtitles support - tags for changing font, color, size,
      etc.; tag's syntax is similar to HTML;
    * United cross-platform GUI - Windows, Linux, MacOS.
 .
 This package contains a graphic use interface for tsmuxer.
