=== debian/changelog ===
tsmuxer-dmo (2.7.0-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Apr 2025 14:38:11 +0200

tsmuxer-dmo (2.6.16~20240318.git5f43ab2-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 02 Apr 2024 17:43:27 +0200

tsmuxer-dmo (2.6.16~20230121.git57df401-dmo0~bpo11+1) stable-backports; urgency=medium

  * Build for stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 21 Jan 2023 11:26:13 +0100
