=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/justdan96/tsMuxer.git
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), cmake, pkg-config, qtbase5-dev,
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), cmake, pkgconf, qtbase5-dev,
  libfreetype-dev, qtmultimedia5-dev, qttools5-dev, ninja-build
 
 Package: tsmuxer
