=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 	-DTSMUXER_GUI=ON
 
 override_dh_auto_test:
