=== debian/watch ===
version=4

https://github.com/justdan96/tsMuxer/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
